import React, { Component } from 'react';
import './Hello.css';


export class HiElem extends Component {
  constructor(props) {
    super(props);

    this.state = { lang: "en" };
  }

  render = () => {
    // Note from Matt: I added the `lang` attributes afterwards,
    // since we (should) be explicitly annotating HTML with its
    // human language. We didn't discuss this in class & it's not
    // a learning objective in our course, but is important!
    // (you can also implement this "smarter" with state, but left it
    //  this way to be crystal clear)
    if (this.state.lang === "es") {
      return <p lang="es">Hola, Matt!</p>;
    } else {
      return <p lang="en">Hi, Matt!</p>;
    }
  };
}
